import { MeditationPage } from "@/components/domains/meditation";
import { startGeneration } from "@/entities/generations/api";

import styles from "./page.module.scss";

export default async function Meditation({
  params,
}: {
  params: Promise<{ id: string }>;
}) {
  // const { id } = await params;
  await params;
  const id = "684a07f6ca4395c285362d4f";
  const result = await startGeneration({
    actionType: "palm",
    actionId: id,
  });
  return (
    <section className={styles.container}>
      <MeditationPage id={id} resultId={result?.id} />
    </section>
  );
}
